SELECT book.bibNr, book.titel, COUNT(book.bibNr) AS ausleihAnzahl
FROM buch as book   
LEFT JOIN Ausleihe as rent ON book.bibNr = rent.bibNr
    AND YEAR(rent.ausleihdatum) = 2015
GROUP BY book.bibNr, book.titel
ORDER BY ausleihAnzahl ASC 